Loading ...
Sorry, an error occurred while loading the content.

Re: Dyndns client for LS pro

Expand Messages
  • cherrytreeproduction
    you should be able to install the missing modules via CPAN -- mindbender www.linkstationwiki.net
    Message 1 of 10 , Mar 6, 2007
    • 0 Attachment
      you should be able to install the missing modules via CPAN

      -- mindbender
      www.linkstationwiki.net

      --- In LinkStation_General@yahoogroups.com, "Nick Kasoff"
      <nicholas@...> wrote:
      >
      > I sort of answered my own question here ... in comparing
      > /usr/local/lib/perl5 on the Linkstation to the corresponding folder on
      > my Fedora server, it is just a very small subset of Perl. And, through
      > experimenting, I've also determined that I can't just copy the Perl
      > folder from my Linux box, because there are some portions that are
      > CPU-specific. So ... I'm still not there.
      >
      > --- In LinkStation_General@yahoogroups.com, "Nick Kasoff"
      > <nicholas@> wrote:
      > >
      > > Ok ... I enabled Telnet with acp_commander, installed ddclient, and
      > > create the config file. Now I'm getting this when I run it:
      > >
      > > root@LS-GLFA5:/usr/sbin# ./ddclient
      > > Can't locate Getopt/Long.pm in @INC (@INC contains:
      > > /usr/local/lib/perl5/5.8.8/a
      > > rmv5tejl-linux /usr/local/lib/perl5/5.8.8
      > > /usr/local/lib/perl5/site_perl/5.8.8/a
      > > rmv5tejl-linux /usr/local/lib/perl5/site_perl/5.8.8
      > > /usr/local/lib/perl5/site_pe
      > > rl .) at ./ddclient line 13.
      > > BEGIN failed--compilation aborted at ./ddclient line 13.
      > >
      > > Am I doing something wrong, or does the LS Pro have crippled PERL?
      >
    • Nick Kasoff
      Forgive my ignorance ... but which distro do I need to use?
      Message 2 of 10 , Mar 6, 2007
      • 0 Attachment
        Forgive my ignorance ... but which distro do I need to use?

        --- In LinkStation_General@yahoogroups.com, "cherrytreeproduction"
        <cherrytreeproduction@...> wrote:
        >
        > you should be able to install the missing modules via CPAN
      • cherrytreeproduction
        i suppose you can even use the stock firmware. http://www.cpan.org/misc/cpan-faq.html question is if you really need some other perl modules... if ddclient
        Message 3 of 10 , Mar 6, 2007
        • 0 Attachment
          i suppose you can even use the stock firmware.

          http://www.cpan.org/misc/cpan-faq.html

          question is if you really need some other perl modules...

          if ddclient needs some specific modules then it should be inside the
          ddclient docs.

          -- mindbender


          --- In LinkStation_General@yahoogroups.com, "Nick Kasoff"
          <nicholas@...> wrote:
          >
          > Forgive my ignorance ... but which distro do I need to use?
          >
          > --- In LinkStation_General@yahoogroups.com, "cherrytreeproduction"
          > <cherrytreeproduction@> wrote:
          > >
          > > you should be able to install the missing modules via CPAN
          >
        Your message has been successfully submitted and would be delivered to recipients shortly.